=== debian/changelog ===
opensbi (1.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for 1.4.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 05 Jan 2024 13:14:57 -0800
