## opensbi 1.5

=== debian/changelog ===
opensbi (1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for 1.5.
  * debian/control: Update Standards-Version to 4.7.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 19 Jul 2024 12:53:51 -0700
