## opensbi 1.5.1

=== debian/changelog ===
opensbi (1.5.1-1~bpo12+2) bookworm-backports; urgency=medium

  * re-upload to build on buildds.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 27 Sep 2024 09:02:22 +0300

opensbi (1.5.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports (no changes).

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 25 Sep 2024 21:44:08 +0300

opensbi (1.5.1-1) unstable; urgency=medium

  * New upstream point release.

  [ Heinrich Schuchardt ]
  * debian/rules: do not use package notes (Closes: #1081291)
    (LP: #2080244)

  [ Vagrant Cascadian ]
  * Add riscv32 variant.
  * Update lintian overrides.
  * Use debian/build32 and debian/build64 instead of debian/build/XX.
    Thanks to Heinrich Schuchardt!
  * debian/rules: Drop dh_install override. Thanks to Heinrich Schuchardt.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 10 Sep 2024 15:00:33 -0700
