=== debian/control ===
Source: opensbi
Section: misc
Priority: optional
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Uploaders: Karsten Merker <merker@debian.org>
Build-Depends: debhelper-compat (=13),
 gcc-riscv64-linux-gnu,
 python3,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git
Homepage: https://github.com/riscv-software-src/opensbi

Package: opensbi
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: RISC-V Open Source Supervisor Binary Interface
 An open-source reference implementation of the RISC-V SBI
 specifications for platform-specific firmwares executing in M-mode.
 .
 The following firmware platforms are provided:
 generic
