=== debian/changelog ===
opensbi (1.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for v1.6.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 31 Dec 2024 16:29:50 -0800
