=== debian/changelog ===
opensbi (1.7-1) unstable; urgency=medium

  * New upstream release.

  [ Vagrant Cascadian ]
  * debian/copyright: Update for v1.7.

  [ Valentin Haudiquet ]
  * debian/copyright: Fix old-fsf-address-in-copyright-file
  * d/patches: Include gcc swap error bugfix from upstream
  * d/patches: Include jh7110s board support from upstream

  [ Vagrant Cascadian ]
  * debian/control: Update to Standards-Version 4.7.2.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 18 Nov 2025 12:34:02 -0800
