=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (=13),
  gcc-riscv64-linux-gnu,
  python3,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git
