=== debian/changelog ===
opensbi (1.8.1-1) unstable; urgency=medium

  [ Valentin Haudiquet ]
  * New upstream release.
  * d/patches: drop patches applied upstream

  [ Vagrant Cascadian ]
  * debian/copyright: Update for 1.8.1.
  * debian/control: Drop Priority field.
  * debian/control: Updates Standards Version 4.7.3.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 15 Jan 2026 20:21:54 -0800
