=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: opensbi
 Section: misc
-Priority: optional
 Maintainer: Vagrant Cascadian <vagrant@debian.org>
 Uploaders: Karsten Merker <merker@debian.org>
 Build-Depends: debhelper-compat (=13),
  gcc-riscv64-linux-gnu,
  python3,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/opensbi-team/opensbi
 Vcs-Git: https://salsa.debian.org/opensbi-team/opensbi.git
